
Ruby - Bug #3368

Re: [ruby-cvs:35269] Ruby:r28058 (trunk): * lib/resolv.rb (Resolv::DNS::Requester#request): rescue

ECONNREFUSED.

05/31/2010 11:49 AM - usa (Usaku NAKAMURA)

Status: Closed   

Priority: Normal   

Assignee: akr (Akira Tanaka)   

Target version: 2.0.0   

ruby -v: ruby 1.9.3dev (2010-05-31 trunk 28102)

[i386-mswin32]

Backport:  

Description

=begin

こんにちは、なかむら(う)です。

In message "[ruby-cvs:35269] Ruby:r28058 (trunk): * lib/resolv.rb (Resolv::DNS::Requester#request): rescue ECONNREFUSED."

on May.29,2010 09:06:19, akr@ruby-lang.org wrote:

akr 2010-05-29 09:06:17 +0900 (Sat, 29 May 2010)

New Revision: 28058

http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=28058

Log:

* lib/resolv.rb (Resolv::DNS::Requester#request): rescue ECONNREFUSED.

Modified files:

trunk/ChangeLog

trunk/lib/resolv.rb

trunk/test/resolv/test_dns.rb

 Windowsでは追加されたテストがErrno::ECONNRESETでエラーとなり

ます。

思うに、resolv.rbでECONNREFUSEDだけでなくECONNRESETもrescue

すればいいのではないかと思いますが、どうでしょうか?

それでは。

U.Nakamura usa@garbagecollect.jp

=end

History

#1 - 05/31/2010 12:03 PM - usa (Usaku NAKAMURA)

- Category set to lib

- Status changed from Open to Assigned

- Assignee set to akr (Akira Tanaka)

- Target version set to 2.0.0

- ruby -v set to ruby 1.9.3dev (2010-05-31 trunk 28102) [i386-mswin32]

=begin

=end

#2 - 05/31/2010 09:52 PM - akr (Akira Tanaka)

=begin

2010年5月31日11:49 U.Nakamura usa@garbagecollect.jp:
Windowsでは追加されたテストがErrno::ECONNRESETでエラーとなり

ます。

 おぉ、発生するエラーが違いましたか。

思うに、resolv.rbでECONNREFUSEDだけでなくECONNRESETもrescue

すればいいのではないかと思いますが、どうでしょうか?

 

そのようにしました。

[田中 哲][たなか あきら][Tanaka Akira]

=end

#3 - 05/31/2010 09:57 PM - akr (Akira Tanaka)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

=begin

This issue was solved with changeset r28109.

Usaku, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

=end
